Bug 243788 - btseed doesn't log output
btseed doesn't log output
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-11 17:45 EDT by Ruben Kerkhof
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-12 05:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-06-11 17:45:12 EDT
Description of problem:

The log file /var/log/bittorrent/btseed.log remains empty, althought btseed is seeding

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Put a file and its torrent in /srv/bittorrent/data
2. service btseed start
3. [ruben@odin ~]$ ls -l /var/log/bittorrent/btseed.log 
-rw-r--r-- 1 root root 0 2007-06-11 23:22 /var/log/bittorrent/btseed.log

Expected results:

The same output I get when I start btseed by hand:

[ruben@odin ~]$ btseed  /srv/bittorrent/data/ >> ~/btseed.log 2>&1 &
[2] 28769
[ruben@odin ~]$ ls -l btseed.log 
-rw-rw-r-- 1 ruben ruben 450559 2007-06-11 23:44 btseed.log

Additional info:

Maybe this has something to do with the fact that its running under runuser?
Comment 1 Paul Howarth 2007-06-12 02:52:31 EDT
How long is btseed running before you decide it's not logging? The output to the
log file is buffered and can take quite a while for anything to get written to disk.

Try changing the display_interval option for SEEDOPTS in
/etc/sysconfig/bittorrent to a smaller number (like 5) to increase the log
volume and something should get written to the disk more quickly.
Comment 2 Ruben Kerkhof 2007-06-12 04:49:03 EDT
Strange, I waited at least half an hour or so.
But now it's logging (--display_interval = 5) data. 

Thanks for your help!
Comment 3 Paul Howarth 2007-06-12 05:12:24 EDT
I recall seeing the same issue when I was initially testing the initscripts; at
a log message every 5 minutes, it can take quite a long time before enough data
has accrued to be worth writing to disk.

Note You need to log in before you can comment on or make changes to this bug.